<mat-nav-list class="nav-min">
    <a mat-list-item [routerLinkActive]="['active']" routerLink="/positions">{{ 'NAV.POSITIONS' | translate }}</a>
    <a mat-list-item [routerLinkActive]="['active']" routerLink="/exchange-rates">{{ 'NAV.EXCHANGE_RATES' | translate }}</a>
    <a mat-list-item [routerLinkActive]="['active']" routerLink="/transactions">{{ 'NAV.TRANSACTIONS' | translate }}</a>
    <a mat-list-item [routerLinkActive]="['active']" routerLink="/buckets">{{ 'NAV.BUCKETS' | translate }}</a>
    <a mat-list-item [routerLinkActive]="['active']" routerLink="/settings">{{ 'NAV.SETTINGS' | translate }}</a>
    <mat-list-item>
        <input type="file" accept="application/json" class="file-input" (change)="onImport($event)" #fileUpload>
        <div class="file-upload">
            <button class="upload-btn" (click)="fileUpload.click()">{{ 'NAV.IMPORT' | translate }}</button>
        </div>
    </mat-list-item>
    <mat-list-item>
        <button (click)="onExport()">{{ 'NAV.EXPORT' | translate }}</button>
    </mat-list-item>
 </mat-nav-list>